SkmXmlApi

Protected Member Functions | Static Protected Member Functions | Properties | List of all members
SkmXmlApi.APICommand Class Reference

The abstract class for all Skm Api commands. All command objects should derive from this class More...

Inheritance diagram for SkmXmlApi.APICommand:

## Protected Member Functions
| APICommand (SkmSession Session)
| Constructor More...

## Static Protected Member Functions
static XmlDocument | ExecuteCommand (WebClient client, string Url)
| Executes a command via Http on the Skm server More...

## Properties
string | BaseUrl`[get]`
| Gets the base Url for making requests to the Skm Api More...
Properties inherited from SkmXmlApi.SkmBase
SkmSession | Session`[get]`
| The current Skm session of the Skm object More...

## Additional Inherited Members
Public Member Functions inherited from SkmXmlApi.SkmBase
| SkmBase (SkmSession Session)
| Constructor More...
Protected Attributes inherited from SkmXmlApi.SkmBase
SkmSession | m_session
| Reference to the Skm session of the object More...

## Detailed Description

The abstract class for all Skm Api commands. All command objects should derive from this class

## Constructor & Destructor Documentation

## ◆ APICommand()

SkmXmlApi.APICommand.APICommand | ( | SkmSession | Session | ) |
| protected

Constructor

Parameters

  Session | Current working session

## Member Function Documentation

## ◆ ExecuteCommand()

static XmlDocument SkmXmlApi.APICommand.ExecuteCommand | ( | WebClient | client,
|  | string | Url
| ) |  |
| static protected

Executes a command via Http on the Skm server

Parameters

  client | The session configured webclient
  Url | The url string to access

Returns
  Xml Dom object of the resulting command

## Property Documentation

## ◆ BaseUrl

string SkmXmlApi.APICommand.BaseUrl
| get protected

Gets the base Url for making requests to the Skm Api

Returns
  The Url that is prepended to all Skm Api requests

The documentation for this class was generated from the following file:

- src/SkmXmlApi/APICommand.cs